#ifndef XMLMANAGER_HH
#define XMLMANAGER_HH

struct _xmlDoc;
typedef _xmlDoc* xmlDocPtr;

struct _xmlXPathContext;
typedef _xmlXPathContext* xmlXPathContextPtr;

class XmlManager
{
public:
  XmlManager();
  ~XmlManager();

public:
  //able to treat only one file at the same time
  int OpenFile(const char* filename);

  //double, int, and std::string is explicitly instanted 
  template <class ValueType>
  int GetValue(const char* xpathExpr, ValueType* value);
  
private:
  int CloseFile();

  xmlDocPtr doc;
  xmlXPathContextPtr xpathCtx; 
};

#endif
