
#include <iostream>
#include <string>

#include "XmlManager.hh"

int main() {
  std::string filename = "sample.xml";
  //  std::string xpath = "/neut/hime/paramaters/position/x";//full xpath
  std::string xpath = "//hime//x";//if no ambiguity, able to omit like this

  //double, int, std::string is able to use;
  double value;
  //  int value;
  //  std::string value;

  //main object of this sample code
  XmlManager xml;
  if(!xml.OpenFile(filename.c_str())) return(-1);
  if (!xml.GetValue(xpath.c_str(), &value)) return(-1);

  std::cout << value << std::endl;

  return(0);
}

